%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AutoLoader.pm) perl(Benchmark.pm) perl(Data/MessagePack.pm) perl(Encode.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Scalar/Util.pm) perl(XSLoader.pm) perl(open.pm) perl(overload.pm) perl(Test/Requires.pm)
# END SourceDeps(oneline)
%define module_name DR-Msgpuck
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt5
Summary: Perl bindings for L<msgpuck|https://github.com/tarantool/msgpuck>.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/U/UN/UNERA/%{module_name}-%{version}.tar.gz

%description
msgpuck is a simple
and efficient msgpack
binary serialization library in a self-contained header file.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_archlib/D*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.04-alt5
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.04-alt4
- rebuild with perl 5.34.0

* Wed Oct 07 2020 Cronbuild Service <cronbuild@altlinux.org> 0.04-alt3
- rebuild to get rid of unmets

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.04-alt2.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.04-alt2
- rebuild with perl 5.26

* Tue Feb 14 2017 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

